PSA: Update Firefox now, says Homeland Security, to block real-life attacks

PSA: Update Firefox now, says Homeland Security, to block real-life attacks

If you’re using Mozilla’s browser on your Mac, you’ll want to Update Firefox now. It’s not just the developer urging you to do so: a vulnerability found in older versions is so critical that the Department of Homeland Security has issued an advisory too… more…

Read More…

Leave a Reply

Your email address will not be published. Required fields are marked *

two × 3 =